Subject: RE: [Fwd: Re: Is IPv6 died - reply from Brian Carpenter]

From: Thomas Eklund <[email-masked]>
Date: Thu, 17 Feb 2000 15:30:08 +0100

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Tuesday, February 15, 2000 10:36 PM
> To: ipng
> Subject: [Fwd: Re: Is IPv6 died - reply from Brian Carpenter]
> 
> 
> This bounced from th list for no good reason
> 
> -------- Original Message --------
> Subject: Re: Is IPv6 died - reply from Brian Carpenter
> Date: Tue, 15 Feb 2000 15:05:05 -0600
> From: Brian E Carpenter <[email-masked]>
> Organization: IBM
> To: Fred Baker <[email-masked]>
> CC: Yakov Rekhter <[email-masked]>,Mounir Eddabbabi 
> <[email-masked]>,[email-masked]
> References: <[email-masked]>
> 
> Fred,
> 
> Fred Baker wrote:
> > 
> > At 12:08 PM 2/11/00 -0800, Yakov Rekhter wrote:
> > >IPv6 addresses will aggregate better than IPv4 addresses, 
> because we
> > >have the luxury of enough bits to do aggregator-based 
> address assignment.
> > 
> > One thing we want to think about, Brian. I am concluding 
> that to deploy
> > this, what we want to do is take the 490 transit AS's in 
> the world, and
> > given them each a TLA, and use one TLA for all the 
> multi-homed systems
> > (ballpark 5400 of them in today's Internet if I understand 
> the numbers).
> > What that means is that the IP6 route table typically has in it:
> > 
> >  - a TLA route for each transit provider other than myself 
> (490 minus one)
> >  - said multihomed routes (5400)
> >  - various routes within myself or to my customers (how big 
> are you?)
> >  - various routes advertised across bilateral connections from other
> >         providers (what bilateral agreements do you choose 
> to write?)
> > 
> > It seems to me that this is pretty contained and well within the
> > capabilities of current routing protocols.
> 
> I couldn't agree more.
> 
> > 
> > My point is that 6to4 isn't going to scale one bit better than ip4
> > addressing, which it mimics, and trying to start from the tier one
> > providers (the current plan) isn't working and I don't see any real
> > difference between 6 or 8 TLA routes vs 500.
> 
> 6to4 is certainly not intended to be anything but a transition tool.
> I agree that if we could persuade the major transit providers to get
> on board, life would be wonderful.
> 
> > 
> > Somebody's going to say "you mean sub-TLA, right?" No, I 
> mean TLA. The
> > premise of the addressing plan is that you get an address 
> from a central
> > provider who can delegate a sub-TLA to you, and you in turn delegate
> > customer prefixes to your customers, who in turn delegate 
> subnets. I'm
> > suggesting that all you should need to demonstrate in order 
> to be the first
> > guy in that food chain is that you are a transit as - that 
> you have people
> > you could delegate sub-TLAs to. According to
> > http://www.telstra.net/ops/bgptable.html there are 490 
> such, which seems to
> > me a very reasonable number.
> 
> Indeed
> > 
> > >Let's say that NAT and RSIP delay the evil day, but not for ever,
> > >and they don't work in all market segments.
> > 
> > Specifically, VoIP over NAT is interesting, as a telephone 
> is essentially a
> > server - it activates when you call it - and therefore like 
> any server has
> > to have a consistently available address any time someone 
> wants to call it.
> 
Agree here as well but you will have problem with roaming (in case of
telephony) if you use NAT based solutions with private addresses and IPv4
you that may lead you on the IPv6 track even faster. You want a personal
ipaddress and that lead to IPv6 based solutions.

/Thomas 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------